IPhysics: IPhysicsEntity Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IPhysicsEntity Class Reference

`#include <IPhysicsEntity.h>`

Inherits IPhysicsBaseEntity.

Inherited by CPhysicsEntity.

List of all members.

## Public Member Functions

virtual void | serialize (stringc file)=0
virtual void | setMaterial (int material)=0
virtual void | setPosition (vector3df position)=0
| Set the position.
virtual void | setRotation (vector3df rotation)=0
| Set the rotation.
virtual void | setScale (vector3df scale)=0
| Set the scale.
virtual vector3df | getPosition ()=0
| Get position.
virtual vector3df | getRotation ()=0
| Get rotation.
virtual vector3df | getScale ()=0
| Get scale.
virtual NewtonBody * | getBody ()=0
| Get a pointer to the Newton body. You should only need this if you need to make calls directly to Newton.
virtual void | createConvexHullModifier ()=0
virtual matrix4 | getMatrix ()=0
virtual void | setMatrix (matrix4 matrix)=0
virtual void | setUserID (int id)=0
virtual int | getUserID ()=0
virtual f32 | calculateVolume ()=0
virtual vector3df | calculateInertia ()=0
virtual vector3df | calculateCentreOfMass ()=0

## Detailed Description

Entity interface. This is the interface for controlling all basic physics entities, from cubes to terrains.

## Member Function Documentation

virtual void IPhysicsEntity::serialize | ( | stringc | file | ) | `[pure virtual]`

Implemented in CPhysicsEntity.

virtual void IPhysicsEntity::setMaterial | ( | int | material | ) | `[pure virtual]`

Reimplemented from IPhysicsBodyModifier.

Implemented in CPhysicsEntity.

virtual void IPhysicsEntity::setPosition | ( | vector3df | position | ) | `[pure virtual]`

Set the position.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsEntity.

virtual void IPhysicsEntity::setRotation | ( | vector3df | rotation | ) | `[pure virtual]`

Set the rotation.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsEntity.

virtual void IPhysicsEntity::setScale | ( | vector3df | scale | ) | `[pure virtual]`

Set the scale.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsEntity.

virtual vector3df IPhysicsEntity::getPosition | ( |  | ) | `[pure virtual]`

Get position.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsEntity.

virtual vector3df IPhysicsEntity::getRotation | ( |  | ) | `[pure virtual]`

Get rotation.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsEntity.

virtual vector3df IPhysicsEntity::getScale | ( |  | ) | `[pure virtual]`

Get scale.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsEntity.

virtual NewtonBody* IPhysicsEntity::getBody | ( |  | ) | `[pure virtual]`

Get a pointer to the Newton body. You should only need this if you need to make calls directly to Newton.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsEntity.

virtual void IPhysicsEntity::createConvexHullModifier | ( |  | ) | `[pure virtual]`

Implemented in CPhysicsEntity.

virtual matrix4 IPhysicsEntity::getMatrix | ( |  | ) | `[pure virtual]`

Reimplemented from IPhysicsBodyModifier.

Implemented in CPhysicsEntity.

virtual void IPhysicsEntity::setMatrix | ( | matrix4 | matrix | ) | `[pure virtual]`

Reimplemented from IPhysicsBodyModifier.

Implemented in CPhysicsEntity.

virtual void IPhysicsEntity::setUserID | ( | int | id | ) | `[pure virtual]`

Implemented in CPhysicsEntity.

virtual int IPhysicsEntity::getUserID | ( |  | ) | `[pure virtual]`

Implemented in CPhysicsEntity.

virtual f32 IPhysicsEntity::calculateVolume | ( |  | ) | `[pure virtual]`

Implemented in CPhysicsEntity.

virtual vector3df IPhysicsEntity::calculateInertia | ( |  | ) | `[pure virtual]`

Implemented in CPhysicsEntity.

virtual vector3df IPhysicsEntity::calculateCentreOfMass | ( |  | ) | `[pure virtual]`

Implemented in CPhysicsEntity.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IPhysicsEntity.h